function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0); } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { BizDialog, ajax } from '@zgfe/business-lib';
import { Button } from 'antd';
import React, { useEffect } from 'react';
import './styles/relationMap.less';
import KinshipChart from '../../components/kinshipChart';
import apis from '../../constants/api';
import ConfigLoading from '../visualJob/create/configPanel/configLoading';
var DatasetRelationMap = function DatasetRelationMap(_ref) {
  var datasetId = _ref.datasetId,
    onClose = _ref.onClose;
  var _React$useState = React.useState(Math.random().toString()),
    _React$useState2 = _slicedToArray(_React$useState, 2),
    id = _React$useState2[0],
    setId = _React$useState2[1];
  var _React$useState3 = React.useState(true),
    _React$useState4 = _slicedToArray(_React$useState3, 2),
    loading = _React$useState4[0],
    setLoading = _React$useState4[1];
  var _React$useState5 = React.useState(),
    _React$useState6 = _slicedToArray(_React$useState5, 2),
    dataSource = _React$useState6[0],
    setDataSource = _React$useState6[1];
  var classPrefix = 'dataset-relation-map';
  useEffect(function () {
    queryData();
  }, []);
  function queryData() {
    setLoading(true);
    ajax(apis.queryDatasetBlood, {
      method: 'get',
      params: {
        datasetId: datasetId
      }
    }).then(function (res) {
      if (!res) return;
      setDataSource(res.data);
    }).catch(function (err) {
      console.error('查看数据血缘失败', err);
    }).finally(function () {
      setLoading(false);
    });
  }
  return /*#__PURE__*/React.createElement(BizDialog, {
    open: true,
    title: "\u6570\u636E\u8840\u7F18",
    footer: null,
    className: classPrefix,
    width: 720
  }, loading ? /*#__PURE__*/React.createElement(ConfigLoading, null) : /*#__PURE__*/React.createElement(KinshipChart, {
    dataSource: dataSource,
    style: {
      height: '320px',
      background: '#FAFAFB',
      marginBottom: '24px'
    }
  }), /*#__PURE__*/React.createElement("div", {
    style: {
      textAlign: 'right'
    }
  }, /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    onClick: onClose
  }, "\u786E\u5B9A")));
};
export default DatasetRelationMap;